Provisional Booking V4
Decline provisional booking
Declines a provisional booking request and notifies the attendee
POST
/
v4
/
provisional-booking
/
{id}
/
decline
Decline provisional booking
curl --request POST \
--url https://api.example.com/v4/provisional-booking/{id}/decline \
--header 'Content-Type: application/json' \
--header 'x-meetergo-api-user-id: <api-key>' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.example.com/v4/provisional-booking/{id}/decline"
payload = { "reason": "<string>" }
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.example.com/v4/provisional-booking/{id}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Path Parameters
Provisional booking ID
Body
application/json
Reason for declining the booking request
Response
Successfully declined provisional booking
Previous
Handoff appointment to another user or queueChanges the host of an appointment to another user, queue, or queue group.
Next
⌘I
Decline provisional booking
